Orvelt

Save a webhook destination

POST
/webhooks/destinations

Create or update a webhook destination URL and the event topics it receives.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

businessSession
cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Request Body

application/json
  1. body
url*string
Formaturi
Lengthlength <= 2048
topics?array<>
Items1 <= items <= 27
destinationId?string
Length1 <= length <= 200

Response Body

OK

application/json
  1. response
destination*
Example Request
curl -X POST 'https://api.orvelt.com/v1/webhooks/destinations' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com"
}'
Example Response
{
  "destination": {
    "id": "string",
    "type": "webhook",
    "topics": [
      "response.submitted"
    ]
  }
}